> ## Name

> cgIsInterfaceType - determine if a type is an interface

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsInterfaceType( CGtype type );

> ## Parameters

> type
>   The type being evaluated.

> ## Return Values

> Returns CG_TRUE if type is an interface (not just a struct).

> Returns CG_FALSE otherwise.

> ## Description

> cgIsInterfaceType returns CG_TRUE if type is an interface (not just a struct), CG_FALSE otherwise.

> ## Examples

> to-be-written

> ## Errors

> None.

> ## History

> cgIsInterfaceType was introduced in Cg 1.2.

> ## See Also

> cgGetType